#
# spec file for package python-remoto
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-remoto
Version:        0.0.27
Release:        4.1
Summary:        Remote command executor using ssh and Python in the remote end
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/remoto/0.0.27
Source0:        https://pypi.python.org/packages/source/r/remoto/remoto-0.0.27.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-mock >= 1.0b1
BuildRequires:  python-setuptools
BuildRequires:  python-tox >= 1.2
BuildRequires:  python-virtualenv
%if 0%{?suse_version}
BuildRequires:  python-pytest >= 2.1.3
%else
BuildRequires:  pytest
%endif
BuildRequires:  python-execnet >= 1.4.1
BuildArch:      noarch
Requires:       python-execnet >= 1.4.1
Requires:       python-setuptools

%description
Remote command executor using ssh and Python in the remote end. This 
package is primarily built to support the ceph-deploy project.
python-remoto is built upon python-execnet which manages the 
connections and processes.

%prep
%setup -q -n remoto-%{version}

%build
# force no new version of remoto
REMOTO_NO_VENDOR=no python setup.py build

%install
# force no new version of remoto
REMOTO_NO_VENDOR=no python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# force no new version of remoto
REMOTO_NO_VENDOR=no python setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst
%doc LICENSE
%{python_sitelib}/*

%changelog
* Mon Feb 29 2016 osynge@suse.com
- Set version of python-execnet >= 1.4.1
* Mon Feb 22 2016 osynge@suse.com
- Added LICENSE file to rpm
- Updated to 0.0.27
  + Fix a problem where stderr/stdout variables would be undefined on certain
    conditions when running a remote command.
  + Fix stdout and stderr would be prematurely ended and not fully logged.
  + Fix a child process could finish but output would not be flushed to
    stdout/stderr.
  + Ship the LICENSE file and tests directory as part of the distribution.
* Thu Jan 28 2016 ncutler@suse.com
- spec file
  + set Group: to Development/Languages/Python
  + set Source0: to the full URL
* Thu Jan 28 2016 ncutler@suse.com
- Use tarball from pypi.python.org instead of rolling our own from git
- spec file
  + simplify setup
  + remove references to non-existent doc files
* Fri Oct 31 2014 osynge@suse.com
- Updated to 0.0.23
  + Create a better detection mechanism for remote ``sudo`` needs
  + Do not override remote environment variables to set the ``$PATH``
  + Fix unneeded ssh connection when using FQDN hosts
  + Output the exact same order of remote ``stdout`` and ``stderr``
* Mon Jul 21 2014 osynge@suse.com
- Updated to 0.0.19
  + add some imports to init so that they are easier to use
  + make vendor libraries optional
* Mon Jul  7 2014 osynge@suse.com
- Removed embeded python-execnet.
- Removed unneeded dependendcies and build dependencies.
- Replaced summary and description.
- Removed unneeded build enviroment variables.
* Fri Jul  4 2014 osynge@suse.com
- First packaging based upon ceph-deploy-1.5.7
